Package: org.codehaus.groovy.tools

## [Java] Class FileSystemCompiler.CompilationOptions

- org.codehaus.groovy.tools.FileSystemCompiler.CompilationOptions

-     @CommandLine.Command(name = "groovyc",
                  customSynopsis = "groovyc [options] ",
                  sortOptions = false,
                  versionProvider = VersionProvider.class)
      public static class FileSystemCompiler.CompilationOptions
      extends Object

  Since:
    2.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String[]` | `generateFileNames()`
    `` | `public CompilerConfiguration` | `toCompilerConfiguration()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public String[] generateFileNames()

    - #### public CompilerConfiguration toCompilerConfiguration()